Bug 1472356 - ovirt-host-deploy enable multipath even when not need
ovirt-host-deploy enable multipath even when not need
Status: CLOSED WONTFIX
Product: ovirt-host-deploy
Classification: oVirt
Component: Core (Show other bugs)
1.6.6
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.2.0
: ---
Assigned To: Nir Soffer
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 10:31 EDT by Fabrice Bacchella
Modified: 2017-08-31 08:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-31 08:23:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bacchella 2017-07-18 10:31:23 EDT
I have a datacenter/cluster/host with only local storage attached. It has two disk sda and sdb.
I created sdb after installing ovirt (it's a hardware raid using an HP's SmartArray). oVirt enabled multipath, even if this is not needed, at this is a server without any kind of multipath either being from SAN or iSCSI.
Now multipath keep catching sdb.

I thing a setting is missing in /etc/multipath.conf, it's find_multipaths that should be set to yes, as explained in redhat documentation (https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/DM_Multipath/config_file_defaults.html):
find_multipaths:
Defines the mode for setting up multipath devices. If this parameter is set to yes, then multipath will not try to create a device for every path that is not blacklisted. Instead multipath will create a device only if one of three conditions are met:
- There are at least two paths that are not blacklisted with the same WWID.

The default value is no. The default multipath.conf file created by mpathconf, however, will enable find_multipaths as of Red Hat Enterprise Linux 7.


And that exactly what I want, as sdb is not multi-attached.

I also need to remove /etc/multipath/wwids to make multipath forget the discovered drive.
Comment 1 Yedidyah Bar David 2017-07-19 01:13:10 EDT
Allon, I do not think this involves host-deploy, but not sure if it's vdsm or the engine. Can you have a look? Thanks.
Comment 2 Allon Mureinik 2017-07-23 11:17:55 EDT
Nir, do we have a simple way to blacklist this?
Comment 3 Nir Soffer 2017-07-23 11:49:31 EDT
(In reply to Allon Mureinik from comment #2)
> Nir, do we have a simple way to blacklist this?

We don't have a way now, the system is always supporting all storage types.
You can always add a shared iscsi storage to a host using local storage.

If we want to enable multipath only when starting to use block storage, and 
disable when the last block storage was detached, we to redesign the system.

We cannot use find_multipath = yes for this reason. If you have a local device that
should not be used  by multipath, you should blacklist this device in
multipath.conf.

If you blacklist all devices in multipath.conf, you practically disable block
storage support on your setup.

Note that vdsm owns multipath.conf, it you want to modify it you must mark it as
private by adding "# VDSM PRIVATE" at the second line:

$ head -2 multipath.conf
# VDSM REVISION 1.3
# VDSM PRIVATE

Vdsm will never modify multipath.conf after this change. You own this file now.

See multipath.conf(5) for instructions on blacklisting devices.
Comment 4 Allon Mureinik 2017-08-31 08:23:24 EDT
(In reply to Nir Soffer from comment #3)
> (In reply to Allon Mureinik from comment #2)
> > Nir, do we have a simple way to blacklist this?
> 
> We don't have a way now, the system is always supporting all storage types.
> You can always add a shared iscsi storage to a host using local storage.
TBH, this will never be prioritized.
Closing in order to make this visible.
If anyone has a good reason for re-prioritizing this, please comment and explain.

Note You need to log in before you can comment on or make changes to this bug.